﻿Public Class Form1
    'Aquí creamos la instancia de la clase clsParticipantes
    'heredando toda la funcionalidad de esta clase, derivada
    'de las interfaces IPersonas, IEspecialidades e IPaises
    Dim aux As New clsParticipantes
    Dim utilidadades As New clsUtilidades

    'Procedimiento que se utiliza para limpiar todos los TextBox del formulario
    Sub limpiarTextBox()
        For Each miObjeto As Object In Form1.ActiveForm.Controls
            'Valido si miObjeto es de tipo TextBox.  Si es asi
            'entonces lo dejo en blanco.
            If TypeOf miObjeto Is TextBox Then
                miObjeto.Text = ""
            End If
        Next
    End Sub
    'Se llama al procedimiento limpiarTextBox
    Private Sub btnLimpiar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLimpiar.Click
        limpiarTextBox()
    End Sub
    'Se hace un llamado a todos los métodos de la clase aux instanciada
    'con lo cual se inicializan las variables de la clase
    Private Sub btnAgregar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAgregar.Click
        aux.AgregarPersona(txtNombre.Text, txtDireccion.Text, txtTelefono.Text, Val(txtEdad.Text), txtTitulo.Text)
        aux.AgregarPais(txtPais.Text, txtCapital.Text)
        aux.AgregarEspecialidad(txtEspecialidad.Text, txtCategoria.Text)
    End Sub
    'Se muestran los datos de la clase clsParticipantes, las cuales fueron 
    'almacenadas mediante los métodos y ahora se extraen de las propiedades
    'de esa misma clase.
    Private Sub btnMostrar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMostrar.Click
        limpiarTextBox()
        txtNombre.Text = aux.pNombrePersona
        txtDireccion.Text = aux.pDireccion
        txtTelefono.Text = aux.pTelefono
        txtEdad.Text = aux.pEdad
        txtTitulo.Text = aux.pTitulo
        txtEspecialidad.Text = aux.pNombreEspecialidad
        txtCategoria.Text = aux.pCategoriaEspecialidad
        txtPais.Text = aux.pNombrePais
        txtCapital.Text = aux.pNombreCapital
    End Sub
    Sub Foco(ByVal cajaTexto As TextBox)
        utilidadades.ObtenerFoco(cajaTexto)
        utilidadades.Letra(cajaTexto)
    End Sub
    Sub SinFoco(ByVal cajaTexto As TextBox)
        utilidadades.PerderFoco(cajaTexto)
    End Sub
    Private Sub txtNombre_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtNombre.GotFocus
        Foco(Me.txtNombre)
    End Sub

    Private Sub txtDireccion_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtDireccion.GotFocus
        Foco(Me.txtDireccion)
    End Sub

    Private Sub txtDireccion_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtDireccion.LostFocus
        utilidadades.PerderFoco(Me.txtDireccion)
    End Sub

End Class
